<?php
/**
 * 基础常量
 */
// 项目根目录
define('PROJECT_PATH', __DIR__);
// 项目名称
define('PROJECT_NAME', 'JinDouYun');
// 项目域名
define('PROJECT_DOMAIN', 'api');
// 项目在权限系统编号
define('PROJECT_ACL_NO', '1');
// 默认模块名
define('DEFAULT_CLASS_MODULE_NAME', 'index');
// 默认控制器
define('DEFAULT_CLASS_CONTROLLER_NAME', 'index');
// 默认方法名
define('DEFAULT_CLASS_ACTION_NAME', 'index');


/**
 * 域名
 */
// 根域名
//define('DOMAIN', 'ql.frp.liuniu946.com');
define('DOMAIN', 'ql.frp.liuniu.com');
define('MP_DOMAIN', 'api.junhailan.com');//小程序接口域名


/* 域名后缀 */
define('DOMAIN_SUFFIX', '.' . DOMAIN);
// 项目域名
define('DOMAIN_PROJECT', strtolower(PROJECT_DOMAIN) . DOMAIN_SUFFIX);
// 配置项目资源域名
define('DOMAIN_PROJECT_IMG', strtolower(PROJECT_NAME). '.res' . DOMAIN_SUFFIX);
// 上传附件资源域名
define('DOMAIN_UPLOAD', 'upload' . DOMAIN_SUFFIX);
// 前端域名
define('DOMAIN_WWW', 'www' . DOMAIN_SUFFIX);

/**
 * URL
 * 必须以 / 结尾
 */
// http协议
define('AGREEMENT', 'http://');
// https协议
define('AGREEMENTSSL', 'https://');
// 项目地址
define('URL_PROJECT', AGREEMENT . DOMAIN_PROJECT);
//支付回调
define('PAY_NOTIFY_URL', AGREEMENTSSL . "api.junhailan.com");
// 项目资源地址
define('URL_PROJECT_RES',  AGREEMENT . DOMAIN_PROJECT_IMG . '/');
// 阿里云请求主域名
define('URL_ALI_SERVICE', AGREEMENT . 'ali' . DOMAIN_SUFFIX);
// 上传附件资源域名
define('URL_UPLOAD', AGREEMENTSSL . DOMAIN_UPLOAD . '/');
// Mobile Web分享
define('URL_SHARE_MOBILE', AGREEMENT . 'share' . DOMAIN_SUFFIX . '/');
// android 下载地址
define('URL_ANDROID_DOWNLOAD', 'http://a.app.qq.com/o/simple.jsp?pkgname=com.maoguang.catmall');
// ios 下载地址
define('URL_IOS_DOWNLOAD', 'http://www.mallguang.com');
// 队列处理地址
define('QIANNIAO_QUEUE', 'http://queueseablue.junhailan.com');
//七牛上传域名
define('QINIU_UPLOAD', 'https://upload-z0.qiniup.com');
//七牛图片
define('QINIU_IMAGE', 'http://up.liuniukj.com');//待换

//钉钉AppKey
define('DING_KEY', 'dingxipi1agktpmfqfsn');
//钉钉AppSecret
define('DING_SECRET', 'eVLaw8zj1Lo2wFmYRHwFvIgyarLkjycwR1L5Bmr0Lbri1pPQhCSh3-Pfga3NkzUK');
//钉钉CorpId
define('DING_CORPID', 'ding61c54d96d04f9b6bffe93478753d9884');
//钉钉SSOsecret
define('DING_SSO_SECRET', 'kdOCbXmYneYIY2JGbXNQCl8CW300T2v3vy537yi_RX1IzVrf7u_86C-H-OpJ2BSy');

/**
 * Smarty
 * 模板引擎配置
 */
// 模板存放目录
define('SMARTY_TEMPLATE_DIR', PROJECT_PATH . DS . 'View' . DS . 'Templates');
// 模板编译目录
define('SMARTY_COMPILE_DIR', PROJECT_PATH . DS . 'Storage' . DS . 'Views');
// 模板缓存目录
define('SMARTY_CACHE_DIR', PROJECT_PATH . DS . 'Storage' . DS . 'Views');
// 模板后缀
define('SMARTY_TEMPLATE_TYPE', '.html');
// 模板缓存是否开启
define('SMARTY_IS_CACHE', FALSE);


/**
 * DB
 * 数据库引擎配置
 */
// 数据库引擎名称，首字母大写
define('DB_DIRVER', 'Pdo');
// 数据库服务IP地址
define('DB_HOST', '47.104.177.139');
// 数据库服务端口号
define('DB_PORT', '3306');
// 数据库服务用户名
define('DB_USERNAME', 'mallguang');
// 数据库服务密码
define('DB_PASSWORD', 'zxcvbnm');
// 数据库名称
define('DB_NAME', 'shop');
// 数据库字符编码
define('DB_CHARSET', 'utf-8');

/**
 * Cookie
 */
define('COOKIE_PREFIX', 'mallguang_');
define('COOKIE_PATH', '/');
define('COOKIE_DOMAIN', DOMAIN_SUFFIX);

/**
 * Mail
 */
/**
 * 邮件发送方式
 * 1.使用PHP的mail函数发送
 * 2.通过 SOCKET 连接 SMTP 服务器发送(支持 ESMTP 验证, 推荐方法)
 * 3.邮件发送方式1. 使用PHP的mail函数发送2.通过SOCKET 连接 SMTP 服务器发送(支持 ESMTP 验证, 推荐方法)
 */
define('MAIL_MAILER', 2);
/**
 * 分隔符
 * 使用 CRLF 作为分隔符(常用, SMTP方式默认分割符)
 * 使用 LF 作为分隔符(一些Unix主机使用mail函数时需用LF替代CRLF)
 * 使用 CR 作为分隔符(通常为 Mac 主机, 不常用)
 */
define('MAIL_DELIMITER', 1);
// 字符集
define('MAIL_CHARSET', 'utf-8');
// 发件人邮箱
define('MAIL_FROM', 'qlxbaa@163.com');
// 是否需要鉴权
define('MAIL_SIGN', FALSE);
// Smtp 服务地址
define('MAIL_SMTP_HOST', 'smtp.163.com');
// Smtp 服务端口
define('MAIL_SMTP_PORT', 25);
// Smtp 身份验证
define('MAIL_SMTP_AUTH', 1);
// Smtp 用户名
define('MAIL_SMTP_USERNAME', 'qlxbaa@163.com');
// Smtp 密码
define('MAIL_SMTP_PASSWORD', '8879288aaa');
// 内容是否Base64
define('MAIL_CONTENT_BASE64', FALSE);

/**
 * Session
 */
// Session引擎
define('SESSION_SAVE_HANDLER', 'redis');
// 存放地址
define('SESSION_SAVE_PATH',  'tcp://127.0.0.1:6379?auth=&databases=2&weight=1&timeout=1&prefix=BackendSession:');
// 数据在服务器端储存有效期
define('SESSION_GC_MAXLIFETIME', 3600);
// 客户端的缓存方式，有nocache,private,private_no_expire,publice
define('SESSION_CACHE_LIMITER', 'nocache');
// cookie 值生存周期
define('SESSION_CACHE_EXPIRE', 60);
// cookie 域名
define('SESSION_COOKIE_DOMAIN', DOMAIN_SUFFIX);
// cookie 路径
define('SESSION_COOKIE_PATH', '/');
// cookie 数据存储有效期
define('SESSION_COOKIE_LIFETIME', 0);

/** 附加常量 **/
define('SOOOLE_SOURCE', "qianniaoSAAS");//websocket平台标识，和后台前端设置一样的
/**
 * 时间戳
 */
define('TIME', time());

/**
 * 站点加密SECRET
 */
define('SITE_SECRET', 'uhW2XlE4OCz5pW6Hf3USOWaeWAVqsjoJ');

/**
 * Upload File Path
 */
//define('UPLOAD_FILE_PATH', '/apps/devapi.qianniao.vip/Public/upload/');
define('UPLOAD_FILE_PATH', PROJECT_PATH . DS.'Public/www/upload/file/');

//小程序文件链接
define('MP_FILE_URL', AGREEMENTSSL.MP_DOMAIN.'/upload/file/');

/**
 * default member avatar path
 */
define('DEFAULT_MEMBER_AVATAR', URL_UPLOAD.'defaultavatar.png');
